%global __requires_exclude_from ^(/usr/bin/.*|/usr/sbin/.*|/bin/.*|/sbin/.*)$

Name:           gnome-desktop-demo
Version:        1.0
Release:        2%{?dist}
Summary:        Meta package to install essential pakages for gnome desktop on AL2023
License:        GPL
BuildArch:      noarch


# Installation Requirements
Requires:   libdrm >= 2.4.123
Requires:   glib2 >= 2.80
Requires:   debconf
Requires:   desktop-backgrounds-gnome
Requires:   evince
Requires:   f40-backgrounds-extras-gnome
Requires:   firefox
Requires:   gedit
Requires:   gnome-backgrounds
Requires:   gnome-calendar
Requires:   gnome-control-center
Requires:   gnome-icon-theme
Requires:   gnome-keyring
Requires:   gnome-menus
Requires:   gnome-online-accounts
Requires:   gnome-screenshot
Requires:   gnome-session
Requires:   gnome-settings-daemon
Requires:   gnome-shell
Requires:   gnome-shell-extension-apps-menu
Requires:   gnome-shell-extension-auto-move-windows
Requires:   gnome-shell-extension-background-logo
Requires:   gnome-shell-extension-drive-menu
Requires:   gnome-shell-extension-launch-new-instance
Requires:   gnome-shell-extension-native-window-placement
Requires:   gnome-shell-extension-system-monitor-applet
Requires:   gnome-shell-extension-user-theme
Requires:   gnome-shell-extension-window-list
Requires:   gnome-shell-extension-windowsNavigator
Requires:   gnome-shell-extension-workspace-indicator
Requires:   gnome-terminal
Requires:   gnome-tweaks
Requires:   google-noto-cjk-fonts
Requires:   google-noto-cjk-fonts-common
Requires:   google-noto-sans-cjk-sc-fonts
Requires:   google-noto-sans-mono-cjk-sc-fonts
Requires:   google-noto-sans-sc-fonts
Requires:   google-noto-serif-cjk-sc-fonts
Requires:   google-noto-serif-sc-fonts
Requires:   gpaste
Requires:   nautilus
Requires:   NetworkManager
Requires:   gnome-photos
Requires:   tigervnc-server
Requires:   vim-X11
Requires:   xdg-desktop-portal-gnome
Requires:   xcb-util
Requires:   xcb-util-image
Requires:   xcb-util-keysyms
Requires:   xcb-util-renderutil
Requires:   xcb-util-wm
Requires:   xcb-util-cursor
Requires:   xscreensaver


%description
This package installs the GNOME desktop environment along with essential packages.


%prep

%build

%install
mkdir -p %{buildroot}%{_sysconfdir}/gnome-desktop-demo

cat > %{buildroot}%{_sysconfdir}/gnome-desktop-demo/xstartup << EOF
#!/bin/sh
export LANG="en_US.UTF-8"
export LC_ALL="en_US.UTF-8"
xrandr --output :1 --mode 1680x1050
exec gnome-session
EOF

chmod +x %{buildroot}%{_sysconfdir}/gnome-desktop-demo/xstartup

%post
for userdir in /home/*; do
    mkdir -p "$userdir/.vnc"
    cp %{_sysconfdir}/gnome-desktop-demo/xstartup $userdir/.vnc/xstartup
    chmod 755 $userdir/.vnc/xstartup
    chown -R $(basename $userdir):$(basename $userdir) $userdir/.vnc
done

%files
%config(noreplace) %{_sysconfdir}/gnome-desktop-demo/xstartup

%changelog
* Thu Jun 27 2024 Yonghang Wang <wyhang@gmail.com> - 1.0-1
- Initial package
